DynamicParameter (jcommander 1.85 API)

com.beust.jcommander

## Annotation Type DynamicParameter

-     @Retention(value=RUNTIME)
       @Target(value=FIELD)
      public @interface DynamicParameter

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `java.lang.String` | `assignment` The character(s) used to assign the values.
    `java.lang.String` | `category` If specified, the category name will be used to order the description of this parameter when usage() is invoked before the number order() is used.
    `java.lang.String` | `description` A description of this option.
    `java.lang.String` | `descriptionKey` The key used to find the string in the message bundle.
    `boolean` | `hidden` If true, this parameter won't appear in the usage().
    `java.lang.String[]` | `names` An array of allowed command line parameters (e.g.
    `int` | `order` If specified, this number will be used to order the description of this parameter when usage() is invoked.
    `boolean` | `required` Whether this option is required.
    `java.lang.Class<? extends IValueValidator>[]` | `validateValueWith`
    `java.lang.Class<? extends IParameterValidator>[]` | `validateWith` The validation classes to use.

- - ### Element Detail

    - #### names

          public abstract java.lang.String[] names

      An array of allowed command line parameters (e.g. "-D", "--define", etc...).
      Default:
        {}

  - - #### required

          public abstract boolean required

      Whether this option is required.
      Default:
        false

  - - #### description

          public abstract java.lang.String description

      A description of this option.
      Default:
        ""

  - - #### descriptionKey

          public abstract java.lang.String descriptionKey

      The key used to find the string in the message bundle.
      Default:
        ""

  - - #### hidden

          public abstract boolean hidden

      If true, this parameter won't appear in the usage().
      Default:
        false

  - - #### validateWith

          public abstract java.lang.Class<? extends IParameterValidator>[] validateWith

      The validation classes to use.
      Default:
        com.beust.jcommander.validators.NoValidator.class

  - - #### assignment

          public abstract java.lang.String assignment

      The character(s) used to assign the values.
      Default:
        "="

  - - #### validateValueWith

          public abstract java.lang.Class<? extends IValueValidator>[] validateValueWith

      Default:
        com.beust.jcommander.validators.NoValueValidator.class

  - - #### order

          public abstract int order

      If specified, this number will be used to order the description of this parameter when usage() is invoked.
      Returns:
      Default:
        -1

  - - #### category

          public abstract java.lang.String category

      If specified, the category name will be used to order the description of this parameter when usage() is invoked before the number order() is used.
      Returns:
        (default or specified) category name
      Default:
        ""